From 69b975729e219b6454afc30f9d609f14fc97258d Mon Sep 17 00:00:00 2001
Message-Id: <69b975729e219b6454afc30f9d609f14fc97258d.1725568780.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 5 Sep 2024 20:39:09 +0000
Subject: [PATCH] gnu: Add julia-bijections.

* gnu/packages/julia-xyz.scm (julia-bijections): New variable.

Change-Id: I23f50b2b148198446dc85cb3f217a48390f6ce88
---
 gnu/packages/julia-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 1743d27226..f81ec6cb2e 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -506,6 +506,28 @@ (define-public julia-bfloat16s
 only, not performance experiments.")
     (license license:expat)))
 
+(define-public julia-bijections
+  (package
+    (name "julia-bijections")
+    (version "0.1.9")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/scheinerman/Bijections.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1f58cvjvrjh6xzi6zzbakdicdhpkyzwdp15fg2y12vslgmab2k9h"))))
+    (build-system julia-build-system)
+    (home-page "https://github.com/scheinerman/Bijections.jl")
+    (synopsis "Bijection data type for Julia")
+    (description
+     "This package defines the @code{Bijection} data type.
+A @code{Bijection} data structure behaves similar to a @code{Dict},
+however it prevents assigning the same value to two different keys.")
+    (license license:expat)))
+
 (define-public julia-bioalignments
   (package
     (name "julia-bioalignments")

base-commit: 392a552524b7801b4a5517e40d860c05f010c655
-- 
2.34.1

